{ config, lib, pkgs, ... }:

with lib;

{
  imports = [ ../../options/machine.nix ];

  config.machine = {
    confPath = ./Lilim.nix;
    pkgs = [
      "base"
      "dict"
      "emacs"
      "extra"
      "cpp"
      "haskell"
      "mailutils"
      "python3"
      "rustpkgs"
      "xpkgs"
    ];
    services = [
      ../../services/xserver.nix
      ../../services/docker.nix
      ../../services/udev.nix
      ../../services/cups.nix
    ];
    allowUnfree = true;
    hostName = "Lilim";
    firewall = {
      allowPing = true;
      allowedUDPPorts = [];
      allowedTCPPorts = [];
      allowedUDPPortRanges = [ { from = 1714; to = 1764; } ];
      allowedTCPPortRanges = [ { from = 1714; to = 1764; } ];
    };
  };
}
